Suporte ao patch de software de terceiros do Adobe LiveCycle

Os requisitos de software de terceiros para todas as versões do Adobe LiveCycle estão documentados na seção “Requisitos do sistema” dos respectivos documentos do produto. Toda a documentação das versões atualmente compatíveis do LiveCycle pode ser acessada em www.adobe.com/support/documentation/en/livecycle/ seguindo o link da sua versão. Para os requisitos da versão 7.2.x, revise o documento Instalação e configuração do LiveCycle apropriado para sua combinação de produto e servidor de aplicativos. Para as versões 8.x e posteriores, revise o documento Preparação da instalação do LiveCycle para a sua versão do LiveCycle.

As plataformas de referência de terceiros do Adobe LiveCycle informam o nível de patch específico da infraestrutura de terceiros que estava em vigor durante o desenvolvimento e lançamento de cada versão do LiveCycle, e formam o nível mínimo de patch/service pack da infraestrutura compatível com essa versão do LiveCycle. 

A Adobe oferecerá suporte a patches urgentes ou recomendados emitidos por fornecedores terceirizados após sua liberação, supondo que os fornecedores terceirizados garantam a compatibilidade retroativa com as versões que o Adobe LiveCycle suporta. A Adobe oferecerá suporte apenas aos patches lançados após o nível mínimo de patch indicado na documentação do LiveCycle.

Em alguns casos, a Adobe não poderá oferecer suporte a atualizações de terceiros que alterem os principais recursos e, portanto, não oferecem compatibilidade com versões anteriores. Para saber mais sobre as atualizações compatíveis, consulte Definições de patch compatíveis para produtos de fornecedores específicos e os tipos de patches que a Adobe suportará.

Em algumas circunstâncias, além do controle da Adobe, os patches de terceiros que dizem ser compatíveis com versões anteriores podem ter impactos negativos sobre os produtos da Adobe ou os ambientes do cliente. Nesses casos, a Adobe recomenda que os clientes avaliem o impacto de qualquer patch urgente de terceiros antes de aplicá-los a sistemas críticos. A Adobe trabalhará com terceiros usando esforços comerciais razoáveis para resolver esses problemas, seja por meio de programas normais de suporte da Adobe ou por meio de terceiros corrigindo o problema em seu patch. Isso não garante que um patch de terceiros recém-lançado que será suportado pela Adobe funcionará conforme documentado pelo fornecedor ou com o Adobe LiveCycle.

Informações adicionais sobre patches de terceiros também podem ser encontradas pesquisando os artigos da base de conhecimento relacionados ao seu produto no site de Suporte da Adobe Enterprise.

Exemplo geral

O Adobe LiveCycle 7.2 oferece suporte ao IBM WebSphere 5.1.1.5 e a todas as correções e pacotes de correções lançados após esse ponto. Portanto, o WebSphere 5.1.1 com Fix Pack 11 é compatível, porque foi lançado após o Fix Pack 5.

Definições de patch compatíveis, conforme definido pelo fornecedor

Sistemas operacionais:

  • Microsoft Windows: service packs e atualizações críticas (1)
  • IBM AIX: níveis de manutenção e PTF(s)
  • Sun Solaris: atualizações e patches (patchadd) (2)
  • RedHat Linux: "atualizações" cumulativas (3) e atualizações marcadas como críticas
  • Novell SuSE Linux: atualizações de segurança críticas e recomendadas cumulativas

(1) Por exemplo, patches do Windows Server 2003 SP1 e do Windows Server 2003, conforme fornecidas pelo Windows Update, são rotuladas como "críticas" e não opcionais.

(2) Especificamente, as atualizações são distribuídas e aplicadas com a ferramenta patchadd.

(3) Por exemplo, RHAS 3.0 Update 1 RHEL 5.1

Servidores de aplicativos Java:

  • IBM WebSphere: Fix Packs e SRs do JDK
  • BEA/Oracle WebLogic: patches (pacotes de manutenção de 9.2 e 10)
  • Servidor de aplicativos RedHat JBoss: correções e correções cumulativas para a edição EAP compatível (4)

(4) Por exemplo: se o EAP 5.1.0 é compatível, atualize do EAP 5.1.0 CP1 para o EAP 5.1.0 CP2. No entanto, a mudança de uma versão micro para outra não é suportada. Por exemplo, não é possível mover de 5.1.0 para 5.1.1.

As atualizações do JDK são as recomendadas pelo fornecedor do servidor de aplicativos ou, onde a Adobe certifica várias versões, a que a Adobe certificou ou uma posterior.

Bancos de dados:

  • MySQL: atualizações que não alteram a versão Major.Minor
  • IBM DB2: Fix Packs e APARs
  • Oracle: conjuntos de patches
  • Microsoft SQL Server: atualizações e service packs

Servidores de diretórios:

  • SunOne Directory Server: service packs
  • Microsoft ActiveDirectory: como parte da atualização do sistema operacional
  • Novell eDirectory: atualizações do produto

Content Management Systems:

  • EMC Documentum: Fix Packs e Hot Fixes
  • IBM Content Manager: Fix Packs e iFix(s)
  • IBM FileNet: service packs

Navegadores da Web:

  • Microsoft Internet Explorer: service packs e atualizações 
  • Navegador Netscape: patch
  • Mozilla Firefox: atualizações de segurança que alteram a versão de ponto duplo (5)
  • Apple Safari: atualizações de lançamento de pontos duplos e triplos, correções de segurança

(5) Por exemplo, a versão 1.5.1 é uma atualização de segurança para o Firefox 1.5.

Logotipo da Adobe

Fazer logon em sua conta